@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;600&display=swap');

body {
  margin: 0;
  padding: 0;
  display: block;
  background: rgb(245, 246, 246);
  font-family: 'Inter', sans-serif;

  --shadow: 0 2px 10px -1px rgba(0, 0, 0, 0.8);
}

button {
  margin-top: 1.5em;
  margin-bottom: 1.5em;
  border: none;
  width: fit-content;
  align-self: center;
  background: #0e5a3b;
  font-weight: 500;
  font-size: 16px;
  letter-spacing: 2px;
  padding: 1em 1.5em;
  color: white;
  border-radius: 3px;
  cursor: pointer;
}

button:hover {
  box-shadow: 0 8px 16px rgba(54, 179, 127, 0.45);
  cursor: grab;
}

button:active {
  background: #008552;
  cursor: grabbing;
}

img {
  max-width: 100%;
  display: block;
  background: #ebf0ee;
}

h1 {
  font-family: 'Inter', sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 40px;
  line-height: 52px;
  color: #172b4d;
  margin-top: 0;
  margin-bottom: 0;
}

.header-nav-desktop a {
  list-style: none;
  padding: 0;
  margin: 1em;
  font-size: 14px;
  font-weight: bold;
  color: #42526e;
  cursor: pointer;
  text-decoration: none;
}

.header-nav-mobile {
  padding: 0 35px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header {
  padding: 0 35px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header-text {
  text-decoration: none;
  font-family: 'Inter', sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 20px;
  line-height: 28px;
  color: #28352f;
}

.header_green {
  color: #0e5a3b;
}

.headline {
  background: url(./img/background/header-illsutration-mobile.svg) no-repeat;
  display: flex;
  background-size: 100% 100%;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.headline p {
  font-style: normal;
  font-weight: normal;
  font-size: 20px;
  line-height: 28px;
  margin: 2em 24px;
  text-align: center;
  color: #172b4d;
}

.social-media {
  padding: 0;
  display: flex;
  justify-content: center;
}

ul {
  list-style: none;
}

li {
  margin: 0 8px;
}

h2 {
  font-size: 30px;
}

.headline h1:first-child {
  margin-top: 1.5em;
}

.works {
  display: grid;
  grid-template-columns: 1fr;
  width: 90%;
  text-align: center;
  margin: 0 auto;
  grid-template-rows: 200px repeat(5, 6fr);
}

.works h1:first-child {
  padding: 1em;
}

.works h2:first-child::after {
  content: '';
  height: 4px;
  width: 48px;
  margin: 0 auto;
  display: block;
  position: relative;
  top: 20px;
  z-index: -1;
  background: #36b37f;
  border-radius: 8px;
}

.work-card {
  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  padding: 0;
  margin: 1em auto;
  width: 369px;
  height: 474px;
  border: 1px lightgray solid;
  border-radius: 5px;
  transition: box-shadow 0.4s ease-out;
}

.work-card:hover {
  box-shadow: var(--shadow);
}

.work-thumbnail {
  overflow: hidden;
  box-sizing: border-box;
  grid-column: 1/-1;
  grid-row: 2/3;
  background: #ebf0ee;
  min-height: 220px;
}

.work-thumbnail img {
  width: 100%;
  min-height: 220px;
  object-fit: contain;
}

.card-languages li {
  background: #ebf0ee;
  border-radius: 3px;
  font-size: 14px;
  padding: 0.5em;
  margin: 0 0.5em;
}

.skill-list li {
  background-color: #fff;
  color: #0e5a3b;
  font-size: 14px;
  font-weight: 600;
  padding: 1em 0.5em;
  margin: 1em 0.5em;
  border-radius: 5px;
}

.card-title {
  font-family: Inter, sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 1.5em;
  color: #172b4d;
  text-align: center;
  grid-column: 1/3;
  grid-row: 3/4;
}

.card-languages {
  display: flex;
  justify-content: space-around;
  list-style: none;
  padding: 0;
}

.about-me-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  margin-top: 2em;
  background: url(./img/background/about-me-background.svg) no-repeat 100% 0%, url(./img/background/about-me-background_1.svg) no-repeat 0 300px;
  padding: 2em;
}

.about-me-section p {
  font-size: 20px;
  color: #42526e;
}

.container {
  width: 90%;
  max-width: 900px;
  margin: 0 auto;
}

.about-myself-ul {
  list-style: none;
  display: flex;
  width: max-content;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0;
}

.skill-category {
  display: flex;
  flex-direction: column;
  justify-content: center;
  border: 1px lightgray solid;
  padding: 0;
  border-radius: 5px;
  margin-bottom: 2em;
  background: #ebf0ee;
  width: 327px;
  height: 352px;
  transition: box-shadow 0.4s ease-out;
}

.skill-category:hover {
  box-shadow: var(--shadow);
}

.skill-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  padding: 0;
}

.category-image {
  display: flex;
  justify-content: center;
  align-items: center;
}

.icon {
  background-color: transparent;
}

.skill-name {
  font-size: 24px;
  color: #344563;
}

.contact-container {
  margin-top: 2em;
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
  align-items: center;
  background: url(./img/background/contact-background.svg) no-repeat 100% 90%;
  padding: 2em 5em;
}

.contact-form {
  align-self: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.contact-elements {
  list-style: none;
  display: flex;
  width: max-content;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0;
}

input,
textarea {
  width: 327px;
  padding: 1em;
  margin: 1em 0;
  background: #fff;
  border: 1px solid #d0d9d4;
  box-sizing: border-box;
  border-radius: 4px;
  color: #091e42;
}

.contact-container::after {
  content: '';
  height: 4px;
  width: 150px;
  margin: 0 auto;
  display: block;
  position: relative;
  top: 80px;
  z-index: -1;
  background: #172b4d;
  border-radius: 8px;
}

.contact-me {
  font-size: 43px;
  color: #172b4d;
  font-family: 'Inter', sans-serif;
  font-weight: bold;
}

.header-nav-desktop {
  display: none;
}

.header-container {
  width: 90%;
  max-width: 900px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.nav-mobile {
  position: absolute;
  top: 0%;
  right: 0%;
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 95%;
  background-color: white;
  border-bottom-left-radius: 30px;
  border-bottom-right-radius: 30px;
  color: #3a4a42;
}

.nav-mobile.hidden {
  display: none;
}

.nav-mobile > button {
  margin: 0.5em 0.5em;
  align-self: flex-end;
}

.mobile-menu-btn.hidden {
  display: none;
}

.mobile-menu-btn {
  background-color: transparent;
}

.mobile-menu-close-btn.hidden {
  display: none;
}

.mobile-menu-close-btn {
  background-color: transparent;
}

.nav-mobile > ul > li {
  margin-left: 28px;
  margin-top: 40px;
  font-size: 24px;
  font-weight: 600;
}

.nav-mobile > ul > li > a {
  font-size: 28px;
  font-weight: 600;
  text-decoration: none;
  color: #3a4a42;
}

.work-card > .card-languages > li {
  background: #ebf0ee;
  font-family: Inter, sans-serif;
  font-size: 14px;
  font-weight: 600;
  padding: 0.5em;
  margin: 0 0.5em;
  border-radius: 2px;
}

.link-my-works:hover,
.link-about-me:hover,
.link-contact-me:hover {
  color: #509467;
}

/** pop up **/
.my-works-details {
  display: grid;
  padding: 16px;
  font-size: 16px;
  background: #fff;
  border: 1px solid #dfe1e6;
  box-sizing: border-box;
  border-radius: 16px;
  position: fixed;
  top: 50%;
  left: 50%;
  height: 100%;
  width: 100%;
  z-index: 2;
  transition: 2000ms ease-in-out;
  transform: translate(-50%, -50%) scale(1);
}

.btn-close-pop-up {
  position: absolute;
  top: 0%;
  right: 5%;
  background: none;
}

.work-image-details {
  overflow: hidden;
  box-sizing: border-box;
  border-radius: 16px;
}

.work-image-details > img {
  width: 100%;
  min-height: 220px;
  object-fit: cover;

  /**  content: url("./img/background/bk.png");  **/
}

.work-title-mobile {
  font-family: Inter, sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 1.5em;
  color: #172b4d;
  text-align: left;
}

.work-tags-mobile {
  list-style: none;
  padding: 0;
  display: flex;
  justify-content: flex-start;
}

.tag-mobile {
  background: #ebf0ee;
  color: #3a4a42;
  padding: 0.5em 0.75em 0.5em;
  font-family: Inter, sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 0.75em;
  line-height: 1em;
  letter-spacing: 0.03em;
  border-radius: 0.25em;
}

.work-discription-mobile {
  color: #344563;
  text-align: left;
  font-family: Inter, sans-serif;
  font-style: normal;
  font-weight: normal;
  font-size: 1em;
  line-height: 1.5em;
  padding-bottom: 15px;
}

.work-button-mobile {
  display: flex;
  justify-content: space-between;
}

.work-detail-btn-mobile {
  display: flex;
  margin-top: 1.5em;
  margin-bottom: 1.5em;
  border: none;
  width: fit-content;
  align-self: center;
  background: #0e5a3b;
  font-weight: normal;
  font-size: 1em;
  padding: 0.5em 0.5em;
  letter-spacing: 1px;
  color: white;
  border-radius: 3px;
  text-decoration: none;
}

.work-detail-btn-mobile > img {
  margin-left: 1.3em;
}

.validation {
  padding: 0;
  margin: 0;
  color: #ff6163;
  font-weight: bold;
  letter-spacing: 2px;
  text-align: left;
}

@media (min-width: 768px) {
  /** pop up css **/
  .pop-up-bk {
    background: rgba(218, 218, 218, 0.1);
    backdrop-filter: blur(10px);
    justify-content: center;
    display: flex;
    align-content: center;
    height: 100vh;
    width: 100%;
    z-index: 2;
    position: fixed;
    transform: translate(-50%, -50%) scale(1);
    top: 50%;
    left: 50%;
  }

  .tag-mobile {
    background: #ebf0ee;
    font-family: Inter, sans-serif;
    font-style: normal;
    font-weight: 600;
    font-size: 0.75em;
    line-height: 1em;
    letter-spacing: 0.03em;
    color: #344563;
    border-radius: 0.5em;
  }

  .my-works-details {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 60px;
    grid-template-rows: 60px 50% 1fr 60px 1fr;
    width: 80%;
    margin-top: 20px;
  }

  .btn-close-details {
    background: #ebecf0;
    position: relative;
    right: 0;
    left: 0;
    grid-column: -2 / -1;
    grid-row: 1/2;
  }

  .work-image-details {
    grid-column: 1 / -1;
    grid-row: 2 / 3;
  }

  .work-image-details > img {
    overflow: hidden;
    box-sizing: border-box;
    border-radius: 16px;

    /**  content: url("./img/background/Snapshoot-Portfolio-desktop.svg");  **/
  }

  .work-title-mobile {
    grid-column: 1 / 3;
    grid-row: 3 / 4;
    font-size: 2em;
  }

  .work-button-mobile {
    grid-column: 3 / 5;
    grid-row: 3 / 4;
  }

  .work-tags-mobile {
    grid-column: 1 /-1;
    grid-row: 4 / 5;
  }

  .work-discription-mobile {
    grid-column: 1 / -1;
    grid-row: 5 / 6;
  }

  .header-nav-mobile {
    display: none;
  }

  .headline-text {
    padding-top: 3em;
    transition: 0.5s ease-in 1s;
  }

  .header-nav-desktop {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding: 0;
    padding-top: 1em;
    margin: 0;
  }

  .header-nav-desktop li {
    list-style: none;
    padding: 0;
    margin: 1em;
    font-size: 14px;
    font-weight: bold;
    color: #42526e;
    cursor: pointer;
  }

  .headline {
    background: #fff url(./img/background/Header-llustration-desktop.svg) no-repeat;
    background-size: 100%;
    padding-bottom: 8em;
  }

  .works {
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 200px repeat(2, 1fr);
  }

  .works h2:first-child {
    align-self: flex-end;
    padding: 1em;
    grid-column: 1 / 4;
    grid-row: 1 / 2;
  }

  .works h2:first-child::after {
    content: none;
  }

  .about-me-section {
    background: url(./img/background/about_me_desktop.svg) no-repeat 0% 20%, url(./img/background/about_me_desktop_1.svg) no-repeat 100% 0%;
  }

  .about-myself-ul {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    max-width: 90%;
  }

  html,
  body {
    padding-bottom: 0;
    margin-bottom: 0;
    scroll-behavior: smooth;
  }

  .contact-container::after {
    content: none;
  }

  .contact-container {
    margin-bottom: 0;
    padding-bottom: 0;
    background: url(./img/background/illustration-1-contact-form-desktop.svg) no-repeat 0% 90%, url(./img/background/illustration-2-contact-form-desktop.svg) no-repeat 30% 90%, url(./img/background/illustratoin-3-contact-form-desktop.svg) no-repeat 100% 90%;
  }

  .contact-form {
    display: flex;
    flex-direction: row;
    text-align: left;
    align-items: center;
    align-self: center;
    align-content: center;
  }

  .contact-container > .social-media {
    margin-top: 18em;
  }

  .fullname-input,
  .email-input,
  .textarea-input {
    min-width: 327px;
    width: calc(95vw - 768px);
  }

  textarea {
    height: 110px;
  }

  .contact-elements {
    align-items: flex-start;
  }
}
